org.apache.ignite.internal.managers.discovery

## Interface DiscoveryCustomMessage

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AbstractContinuousMessage, DynamicCacheChangeBatch, StartRoutineAckDiscoveryMessage, StartRoutineDiscoveryMessage, StopRoutineAckDiscoveryMessage, StopRoutineDiscoveryMessage

    public interface DiscoveryCustomMessage
    extends Serializable

### Method Summary

Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`IgniteUuid` `id()`
`boolean` `incrementMinorTopologyVersion()` Whether or not minor version of topology should be increased on message receive.
`boolean` `isMutable()`

### Method Detail

#### id

    IgniteUuid id()

Returns:
  Unique custom message ID.

#### incrementMinorTopologyVersion

    boolean incrementMinorTopologyVersion()

Whether or not minor version of topology should be increased on message receive.

Returns:
  `true` if minor topology version should be increased.
See Also:
  `AffinityTopologyVersion.minorTopVer`

#### ackMessage

    @Nullable
    DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    boolean isMutable()

Returns:
  `true` if message can be modified during listener notification. Changes will be send to next nodes.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015